Corrupt graphics on boot with 7800GT/nv

Bug #62230 reported by xtknight on 2006-09-25
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
X.Org X server
Won't Fix
High
xserver-xorg-video-nv (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Bryce Harrington

Bug Description

With every version of Edgy (including the latest Knot 3), the graphics has been corrupt upon bootup of the LiveCD. When you enter Start/Install Ubuntu the system appears to start and then it gets to the GNOME splash screen (the oblong rectangular one). Once it's at this point, the graphics of the splash screen will get all corrupted and artifacted as if the video RAM had been damaged. Then the whole system will completely lock up hard (CTRL+ALT+BACKSPACE does not stop X server). This happens in both regular and safe graphics mode. With Dapper, it only did this in the regular mode and the safe mode was fine, but this is not the case with Edgy. This has been a bug for quite a while and I am not the only one affected. I can imagine the number of gamers with the same card as me (GeForce 7800GT). I would like to see this fixed soon.

Specs:

ASUS A8N-SLI Deluxe (nForce 4 SLI chipset)
AMD Athlon 64 3500+ Winchester
(1) eVGA GeForce 7800GT (256-P2-N515-AX) on PCI Express x16 port
Ubuntu Edgy 6.10 Knot 3 (amd64 arch)

Thanks.

[lspci]
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
     Subsystem: Gateway 2000 Unknown device 5047
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7800 GT] (rev a1) (prog-if 00 [VGA])

xtknight (xt-knight) wrote :

I've gotten one report of the same thing happening on the GeForce 6600GT. http://www.ubuntuforums.org/showthread.php?t=264557

qwerty2k (scotty2hott2k) wrote :

same happens with my nvidia 6800gs (agp 512mb gainward). like what is said above, in dapper the same happened but was fixed when booting in 'safe graphics mode' however even safe graphics mode doesn't work on the edgy livecd.

xtknight (xt-knight) wrote :

The problem persists on Edgy Beta in exactly the same manner.

Mark Stone (mark-j-stone) wrote :

I have the exact same problem, also with an eVGA 7800GT, on Edgy Beta. I'm confident they'll fix it by the final release.

Right?

Mark Stone (mark-j-stone) wrote :

It's still broken in Edgy. I guess I'll try the alternative install CD.

robepisc (robepisc) wrote :

Note that "Safe Graphics Mode" does not work because of bug #59618.

Bryce Harrington (bryce) wrote :

Can someone test this against Feisty or newer, and report if it still occurs?

Changed in xorg:
status: New → Incomplete
xtknight (xt-knight) wrote :

Yes, it still happens on Gutsy daily LiveCD even. :(

xtknight (xt-knight) wrote :

I should add that Gutsy works in safe graphics mode, but normal mode is still messed up. My first monitor freezes, second one flashes a weird pattern. Nothing with regards to Alt Printscreen (Magic SysRq) really works to restore the state. SysRq+B does reboot the system, so the kernel didn't crash but the driver really makes everything else unresponsive.

Bryce Harrington (bryce) on 2007-07-18
Changed in xorg:
importance: Undecided → Medium
status: Incomplete → Triaged
xtknight (xt-knight) wrote :

Is there any progress being made on the issue? Could this card be set to fbdev, please (see the dupe Bug 45797)?

Dave (dave1234) wrote :

I can confirm through my own experiences that this problem is still present in both the Feisty (7.04) and Gusty Tribe 5 (7.10) live cds

In either version:
With two monitors turned on and present, Screen 1 will appear fine for a few moments while Screen 2 looks like its stuck in 80x25 text mode only with flashing colors and high-ASCII characters on the screen. When the splash screen appears (Xsession splash screen, not the boot screen) it gets squished down into a few lines on top of Screen 1. In my case I'm able to at least move the mouse--but I have nothing to click on (or nothing changes); my keyboard is also unresponsive and I can't attempt to kill X or switch to a virtual term.

I'm able to boot both live cds in safe graphical mode (using the vesa driver)
Nvidia's binary driver works perfectly after install

Overview:

With a GeForce 7800GT card, the nv driver does not work. Shortly after I login to gdm, the whole screen corrupts and crashes. Pressing alt sysrq+k results in the image shifting over to the right by a slight amount. The system is quite frozen.

The nouveau and nvidia proprietary drivers work on my card. vesa is also fine.

Ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nv/+bug/62230

Steps to Reproduce:

Start x server with nv driver on a 7800GT. Or, use Ubuntu Hardy LiveCD.

Actual Results:

The screen is corrupt and the system is basically frozen.

Expected Results:

The desktop shouldn't freeze.

Build Date & Platform:

It has always happened with the nv driver on my card, at least with the Ubuntu LiveCDs that I've used. I recall SUSE also having an issue but I believe they don't use nv anymore for this card.

W. Prins (wprins) wrote :

Just to confirm this is still present on the Hardy beta. Safe graphics mode appears to work.

xtknight (xt-knight) wrote :

Yup I still have this error. Hmm going to try and see if I can fix this myself somehow (maybe, maybe not). It's been here for several releases.

It would be really helpful if everyone affected could list their pci id.

$ sudo lspci -vnn|grep -i nvidia
01:00.0 VGA compatible controller [0300]: nVidia Corporation G70 [GeForce 7800 GT] [10de:0092] (rev a1) (prog-if 00 [VGA controller])

So far affected:

10de:0092

But I've heard of 6600GTs failing as well.

Changed in xorg-server:
status: Unknown → Confirmed
Dan Bishop (danbishop) wrote :

Neither safe NOR normal graphics mode work on intrepid.

Bryce Harrington (bryce) on 2009-01-12
description: updated
Download full text (5.3 KiB)

(gdb) backtrace
#0 0x00007f8f71f58dc7 in NVDmaWait () from
/usr/lib/xorg/modules/drivers//nv_drv.so
#1 0x00007f8f71f59e90 in ?? () from /usr/lib/xorg/modules/drivers//nv_drv.so
#2 0x00007f8f706d25c2 in XAATEGlyphRendererScanlineLSBFirst (pScrn=0x187c990,
x=63, y=250, w=228, h=7, skipleft=0, startline=5, glyphs=0x18a6a90,
glyphWidth=6,
    fg=16777215, bg=0, rop=3, planemask=4294967295) at
../../../../hw/xfree86/xaa/./xaaTEGlyph.c:408
#3 0x00007f8f706acd6d in XAAGlyphBltTEColorExpansion (pScrn=0x187c990,
xInit=63, yInit=<value optimized out>, font=<value optimized out>, fg=16777215,
bg=0,
    rop=3, planemask=4294967295, cclip=0x1b22d00, nglyph=38, gBase=0x0,
ppci=0x18a4230) at ../../../../hw/xfree86/xaa/xaaTEText.c:297
#4 0x00007f8f706ad123 in XAAImageText16TEColorExpansion (pDraw=0x1b22cb0,
pGC=0x1b1ba80, x=62, y=260, count=<value optimized out>, chars=0x1b8443c)
    at ../../../../hw/xfree86/xaa/xaaTEText.c:145
#5 0x00007f8f706e9068 in cwImageText16 (pDst=<value optimized out>,
pGC=0x1b1ba80, x=62, y=260, count=38, chars=0x1b8443c) at
../../../miext/cw/cw_ops.c:425
#6 0x000000000053d3d0 in damageImageText16 (pDrawable=0x1b22cb0,
pGC=0x1b1ba80, x=62, y=260, count=38, chars=0x1b8443c) at
../../../miext/damage/damage.c:1618
#7 0x0000000000450194 in doImageText (client=0x1b283b0, c=0x7fff7e1807e0) at
../../dix/dixfonts.c:1576
#8 0x00000000004503ac in ImageText (client=0x187d000, pDraw=<value optimized
out>, pGC=0xa28, nChars=0, data=0x14 <Address 0x14 out of bounds>,
xorg=1899069440,
    yorg=260, reqType=<value optimized out>, did=2097197) at
../../dix/dixfonts.c:1627
#9 0x000000000044bce4 in ProcImageText16 (client=0x1b283b0) at
../../dix/dispatch.c:2205
#10 0x000000000044e354 in Dispatch () at ../../dix/dispatch.c:437
#11 0x0000000000433ddd in main (argc=4, argv=0x7fff7e180a18, envp=<value
optimized out>) at ../../dix/main.c:397

(gdb) backtrace full
#0 0x00007f8f71f58dc7 in NVDmaWait () from
/usr/lib/xorg/modules/drivers//nv_drv.so
No symbol table info available.
#1 0x00007f8f71f59e90 in ?? () from /usr/lib/xorg/modules/drivers//nv_drv.so
No symbol table info available.
#2 0x00007f8f706d25c2 in XAATEGlyphRendererScanlineLSBFirst (pScrn=0x187c990,
x=63, y=250, w=228, h=7, skipleft=0, startline=5, glyphs=0x18a6a90,
glyphWidth=6,
    fg=16777215, bg=0, rop=3, planemask=4294967295) at
../../../../hw/xfree86/xaa/./xaaTEGlyph.c:408
        infoRec = (XAAInfoRecPtr) 0x18a38f0
        bufferNo = 1
        GlyphFunc = (GlyphScanlineFuncPtr) 0x7f8f706d1190
<DrawTETextScanlineWidth6>
#3 0x00007f8f706acd6d in XAAGlyphBltTEColorExpansion (pScrn=0x187c990,
xInit=63, yInit=<value optimized out>, font=<value optimized out>, fg=16777215,
bg=0,
    rop=3, planemask=4294967295, cclip=0x1b22d00, nglyph=38, gBase=0x0,
ppci=0x18a4230) at ../../../../hw/xfree86/xaa/xaaTEText.c:297
        fallbackBits = <value optimized out>
        infoRec = (XAAInfoRecPtr) 0x18a38f0
        skippix = <value optimized out>
        skipglyphs = <value optimized out>
        Right = 291
        Top = 250
        Bottom = 263
        LeftEdge = 63
        RightEdge = 228
        ytop = 250
        ybot = 263
        nbox = <value optimized out>
        pbox = ...

Read more...

Bryce Harrington (bryce) wrote :

The fix for bug 385658 redoes how card detection works with -nv and may solve this bug. Please test Karmic-beta or newer and let us know whether it resolves the original issue.

Changed in xserver-xorg-video-nv (Ubuntu):
status: Triaged → Incomplete
Panagiotis Issaris (t4k1s) wrote :

I can confirm this bug in Karmic Koala. I've got a similar videocard, namely a 7800 GT based one:
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7800 GT] (rev a1)

My motherboard is the same too:
ASUS A8N-SLI Deluxe

The Ubuntu 9.10 final LiveCD won't boot with either default settings nor safe mode.

With the default settings, before X starts, the graphical output is fine. When X starts, the screen is filled with seemingly random coloured dots.

In safe mode, when X gets started no graphical output is seen whatsoever. But, more annoyingly, the non-graphical screen keeps flashing (text gone and back and gone and back...), and while the text output is gone, characters typed don't appear to get through to the system. Meaning that you basically can't type anything meaningful: I tried to start creating a /etc/X11/xorg.conf file, but only 1 out of 30 characters typed appeared on the screen. The only useful thing I could do was reboot.

Panagiotis Issaris (t4k1s) wrote :

Furthermore, that video card works fine on Ubuntu 9.04 with NVIDIA's driver version 180 from the proprietary driver installer (180.44-0ubuntu1).

Panagiotis Issaris (t4k1s) wrote :

In the end I installed Ubuntu 9.10 using the alternate installer, first installing the "command line system", then installing the Ubuntu Desktop using tasksel, and in the end installing the NVIDIA drivers (nvida-glx, ...), and finally copying the xorg.conf from my working 9.04 system.

michael.curran (burzmali) wrote :

I've had the same problem. My work around was to drop to tty from the login prompt (clicking the login window corrupted and froze the system) and then remove the current nvidia drivers:

sudo apt-get purge nvidia-glx-*

Install the latest:

sudo apt-get install nvidia-glx-185

and then run nvidia xconfig

nvidia-xconfig

After a reboot everything worked.

Bryce Harrington (bryce) wrote :

Thank you for reporting this issue about xserver-xorg-video-nv. Starting
with Lucid, Ubuntu is transitioning to using the -nouveau video driver
by default instead of -nv. The reason for this change is because
upstream development for the -nv driver has been quite slow. We are
quite pleased with the upstream development speed for -nouveau, and hope
this will translate into swifter bug fixes as well.

Because of this, I'm closing this bug report at this time. I'm marking
it wontfix because what you describe is probably a valid issue, but we
do not have further plans to work on it in Ubuntu. If you would still like
to see this issue investigated, I would encourage you to file it
upstream at http://bugs.freedesktop.org/.

Changed in xserver-xorg-video-nv (Ubuntu):
status: Incomplete → Won't Fix
Changed in xorg-server:
importance: Unknown → High
Changed in xorg-server:
importance: High → Unknown
Changed in xorg-server:
importance: Unknown → High
Changed in xorg-server:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.